LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 10-16-2009, 12:08 PM   #1
xpus04
LQ Newbie
 
Registered: Sep 2009
Posts: 6

Rep: Reputation: 0
Help required for mplayer


IM USING RHEL 5 AND I TRIED TO INSTALL mplayer-1.0-0.101.20080903svn.el5.1.i386.rpm. BUT COULDN'T BECAUSE DEPENDENCIES WERE NOT INSTALLED IN MY PC.MY QUESTION IS,FROM WERE WILL I GET SO MANY DEPENDENCIES LISTED BELOW...


Error: Missing Dependency: libcaca.so.0 is needed by package mplayer
Error: Missing Dependency: libliveMedia.so.0 is needed by package mplayer
Error: Missing Dependency: libmpcdec.so.5 is needed by package mplayer
Error: Missing Dependency: libpulse.so.0 is needed by package mplayer
Error: Missing Dependency: liblzo2.so.2 is needed by package mplayer
Error: Missing Dependency: libfribidi.so.0 is needed by package mplayer
Error: Missing Dependency: libpulse.so.0(PULSE_0) is needed by package mplayer
Error: Missing Dependency: libBasicUsageEnvironment.so.0 is needed by package mplayer
Error: Missing Dependency: libfaad.so.0 is needed by package mplayer
Error: Missing Dependency: faad2-libs >= 1:2.6.1 is needed by package mplayer
Error: Missing Dependency: libUsageEnvironment.so.0 is needed by package mplayer
Error: Missing Dependency: libaa.so.1 is needed by package mplayer
Error: Missing Dependency: libdca.so.0 is needed by package mplayer
Error: Missing Dependency: libgroupsock.so.0 is needed by package mplayer
Error: Missing Dependency: libenca.so.0 is needed by package mplayer
Error: Missing Dependency: libdvdnavmini.so.4 is needed by package mplayer
Error: Missing Dependency: libxvidcore.so.4 is needed by package mplayer
Error: Missing Dependency: libdvdread.so.4 is needed by package mplayer
 
Old 10-16-2009, 01:23 PM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,522

Rep: Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503
yum list available mplayer
> > mplayer ... 1.0-0.101.20080903svn. .. rpmfusion-free-u ..

You can get the 'rpmfusion.repo' here
http://rpmfusion.org/Configuration
> RPM Fusion free for RHEL5 or compatible like CentOS
http://download1.rpmfusion.org/free/...0.1.noarch.rpm
+ http://download1.rpmfusion.org/nonfr...0.1.noarch.rpm
.....
The 'rpmfusion.repo' depends on the 'epel.repo'
> https://fedoraproject.org/wiki/EPEL
" Extra Packages for Enterprise Linux "
.....

And install 'mplayer' + dependencies with
# yum install mplayer
.....

Last edited by knudfl; 10-17-2009 at 10:33 AM.
 
Old 10-18-2009, 09:40 PM   #3
xpus04
LQ Newbie
 
Registered: Sep 2009
Posts: 6

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by knudfl View Post
yum list available mplayer
> > mplayer ... 1.0-0.101.20080903svn. .. rpmfusion-free-u ..

You can get the 'rpmfusion.repo' here
http://rpmfusion.org/Configuration
> RPM Fusion free for RHEL5 or compatible like CentOS
http://download1.rpmfusion.org/free/...0.1.noarch.rpm
+ http://download1.rpmfusion.org/nonfr...0.1.noarch.rpm
.....
The 'rpmfusion.repo' depends on the 'epel.repo'
> https://fedoraproject.org/wiki/EPEL
" Extra Packages for Enterprise Linux "
.....

And install 'mplayer' + dependencies with
# yum install mplayer
.....




thnxs...but wer will i get codecs??
 
Old 10-18-2009, 09:51 PM   #4
John VV
Guru
 
Registered: Aug 2005
Posts: 12,668

Rep: Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683
Quote:
thnxs...but wer will i get codecs??
did you look on the mplayer web site ?????
they are there!
 
Old 10-18-2009, 10:04 PM   #5
Elv13
Member
 
Registered: Apr 2006
Location: Montreal,Quebec
Distribution: Gentoo
Posts: 825

Rep: Reputation: 128Reputation: 128
If you add both rpmfusion repo (free and non free), codecs are going to be available from it.
 
Old 10-20-2009, 04:06 AM   #6
xpus04
LQ Newbie
 
Registered: Sep 2009
Posts: 6

Original Poster
Rep: Reputation: 0
ok thanks i got it now i can play d videos.....but i cant see player graphically
 
Old 10-20-2009, 05:08 AM   #7
Black C
LQ Newbie
 
Registered: Oct 2009
Posts: 1

Rep: Reputation: 0
Mplayer

you should add a folder "default" in the skin directory then paste the contents os a skin in that folder. the root is /usr/local/share/mplayer/skins/default
 
Old 10-20-2009, 10:48 PM   #8
ayya
LQ Newbie
 
Registered: Oct 2009
Posts: 2

Rep: Reputation: 0
can anyone help me..?
i am new to fedora..i have tried to install the vlc player using the command provided..it says completely installed..but the problem is now, whenever i tried to click on the vlc icon..it did not appeared..why is dat happen?cn anyone help me pleasee...
 
Old 10-21-2009, 12:33 AM   #9
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,522

Rep: Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503
@ xpus04 : Yes , mplayer ... nothing to see.
Please do this command : yum list available mplayer
.. I get kmplayer , mplayer-skins , etc.

.....

.....
@ ayya : Please open the terminal and type : vlc
Some error indications should then appear ....
and you can show the text here .. preferable in
a new thread , please read the LQ rules . .
.. This is a thread about mplayer.
.....
 
Old 10-21-2009, 01:05 AM   #10
John VV
Guru
 
Registered: Aug 2005
Posts: 12,668

Rep: Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683Reputation: 1683
ayya

Please DO NOT DOUBLE POST
this is the same question as here
http://www.linuxquestions.org/questi...3/#post3726685

as to your problem

seeing as you are very new to linux and fedora is NOT AN EASY distro to learn on
i would use DangerMouse's "autoten/eleven " script
http://www.dnmouse.org/
http://www.dnmouse.org/autoten.html

It is a point and click program .Install it then run it
 
Old 10-21-2009, 01:21 AM   #11
shqnayaz
LQ Newbie
 
Registered: Sep 2009
Location: Bangalore
Distribution: RedHat Fedora Centos
Posts: 9

Rep: Reputation: 1
use yum

use yum command as
# yum -y install mplayer

you wil get it done.



Quote:
Originally Posted by xpus04 View Post
IM USING RHEL 5 AND I TRIED TO INSTALL mplayer-1.0-0.101.20080903svn.el5.1.i386.rpm. BUT COULDN'T BECAUSE DEPENDENCIES WERE NOT INSTALLED IN MY PC.MY QUESTION IS,FROM WERE WILL I GET SO MANY DEPENDENCIES LISTED BELOW...


Error: Missing Dependency: libcaca.so.0 is needed by package mplayer
Error: Missing Dependency: libliveMedia.so.0 is needed by package mplayer
Error: Missing Dependency: libmpcdec.so.5 is needed by package mplayer
Error: Missing Dependency: libpulse.so.0 is needed by package mplayer
Error: Missing Dependency: liblzo2.so.2 is needed by package mplayer
Error: Missing Dependency: libfribidi.so.0 is needed by package mplayer
Error: Missing Dependency: libpulse.so.0(PULSE_0) is needed by package mplayer
Error: Missing Dependency: libBasicUsageEnvironment.so.0 is needed by package mplayer
Error: Missing Dependency: libfaad.so.0 is needed by package mplayer
Error: Missing Dependency: faad2-libs >= 1:2.6.1 is needed by package mplayer
Error: Missing Dependency: libUsageEnvironment.so.0 is needed by package mplayer
Error: Missing Dependency: libaa.so.1 is needed by package mplayer
Error: Missing Dependency: libdca.so.0 is needed by package mplayer
Error: Missing Dependency: libgroupsock.so.0 is needed by package mplayer
Error: Missing Dependency: libenca.so.0 is needed by package mplayer
Error: Missing Dependency: libdvdnavmini.so.4 is needed by package mplayer
Error: Missing Dependency: libxvidcore.so.4 is needed by package mplayer
Error: Missing Dependency: libdvdread.so.4 is needed by package mplayer
 
Old 10-21-2009, 02:18 PM   #12
Shadow_7
Senior Member
 
Registered: Feb 2003
Distribution: debian
Posts: 1,506

Rep: Reputation: 233Reputation: 233Reputation: 233
mplayer is the console based version. gmplayer (or kmplayer and others) are the GUI versions. Assuming that you have skins and compiled it with --enable-gui. Or your distro did that for you. You might find xine a bit easier to get going initially. Or totem. Or VLC. Or .....

mplayerhq.hu
 
  


Reply

Tags
mplayer


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Mplayer build: configure finds ALSA, but mplayer doesn't galle Linux - Software 5 10-13-2007 06:14 PM
Mplayer codecs - running 32bit mplayer on 64bit OS sleepyrob Linux - Software 2 08-12-2006 05:08 AM
In Kubuntu I have compiled MPlayer and it works fine, MPlayer Plug-in is not working kickass331 Linux - Newbie 10 08-11-2006 09:12 PM
Installing mplayer-x11 on Redhat 9 - support required for compilation astitva Linux - Software 6 04-10-2005 09:14 PM
Libraries required for mplayer! tolis Linux - Software 9 12-17-2003 02:01 PM


All times are GMT -5. The time now is 06:23 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration